"""
goodieA.py - goodie class A (shot level upgrade)
"""

import common
import misc

class GoodieA(misc.Misc):

    # 2d rect! width+height will be appended
    def __init__(self,rect):
        self.rect   = rect+[22,18]
        misc.Misc.__init__(self,-1,self.rect)
        self.images = common.images['GoodieA']
        self.speed  = 2
        self.type   = 0
        common.misc_goodies.append(self)

    # from object.py
    def move(self):
        self.rect[1] += self.speed
        if self.rect[1] > common.resolution[1]:
            self.kill()

    # from misc.py
    def remove(self):
        common.misc_goodies.remove(self)
